Partner organisations only. A Payroll organisation calling this
endpoint receives 405 Method Not Allowed. An employer-scoped access
token receives 403 Forbidden.
Returns the managed organisations your Partner organisation has created, newest first.
Query parameters
-
The maximum number of managed organisations to return per page.
Minimum value is
1, maximum value is500. Default value is200. -
The page number to return in the list of managed organisations.
Minimum value is
1. Default value is1.
GET
/organisations
curl \
--request GET 'https://payroll-api.getpenfold.dev/v4/organisations' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"page_number": 1,
"page_size": 200,
"total_items": 10,
"items": [
{
"id": "cm1abcd2e0000xyz123456789",
"display_name": "Acme Payroll Services",
"type": "single_employer",
"created_at": "2026-10-20T12:00:00.000Z"
}
]
}
Response examples (400)
{
"error": "Bad request: invalid data provided."
}
Response examples (401)
{
"error": "Bad request: invalid data provided."
}
Response examples (403)
{
"error": "Bad request: invalid data provided."
}
Response examples (405)
{
"error": "Bad request: invalid data provided."
}